/* 24. Oktober 2018 */

// Port function select bits

#define FSEL_INPT        0b000
#define FSEL_OUTP        0b001
#define FSEL_ALT0        0b100
#define FSEL_ALT1        0b101
#define FSEL_ALT2        0b110
#define FSEL_ALT3        0b111
#define FSEL_ALT4        0b011
#define FSEL_ALT5        0b010

#define GPPUD            0x94
#define GPPUDCLK0        0x98
#define GPPUDCLK1        0x9Cs

#define PULL_UP          2
#define PULL_DOWN        1
#define PULL_NONE        0

size_t  init_gpio(void);                                                              // GPIO initialisieren
size_t  gpio_pin_function(unsigned int pin, unsigned int  mode, size_t pull_mode);    // Pin als Eingang oder Ausgang
size_t  gpio_pin_out_state(unsigned int pin, unsigned int  state);                    // Ausgangs-Status setzen
size_t  gpio_pin_in_state(unsigned int pin, unsigned int* state);                     // Eingangs-Status lesen 
